'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    name: 'load',
    inputs: [{ name: 'path', label: 'Image path or URL', type: 'string' }],
    outputs: [{ name: 'loaded', label: 'Loaded image', type: 'image' }],
    options: null,
    executor: loadImage
};


async function loadImage(ctx) {
    const path = ctx.getInput('path');
    const ImageJS = await Promise.resolve().then(() => require('image-js'));
    ctx.setOutput('loaded', (await ImageJS.default.load(path)));
}